## lomiri-ui-toolkit 1.3.3000+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.3000+dfsg-5build1) jammy; urgency=medium

  * No-change rebuild against liblttng-ust1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Jan 2022 22:35:27 +0000

lomiri-ui-toolkit (1.3.3000+dfsg-5) unstable; urgency=medium

  * debian/control:
    + Drop hard-dependency (liblomirimetrics5) on liblttng-ust0.
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Dec 2021 10:51:23 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-4) unstable; urgency=medium

  * Re-upload as is to unstable. (Now really!).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 22:05:08 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-3) unstable; urgency=medium

  * Re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:45:20 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-2) experimental; urgency=medium

  * debian/control:
    + Use non-transitional bin:pkg 'fonts-ubuntu' now, downgrade to Suggests:
      field (Ubuntu fonts are in non-free, so...).
  * debian/copyright:
    + Update license information (CC-BY-SA-3.0) for artwork files.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 May 2021 14:05:11 +0200

lomiri-ui-toolkit (1.3.3000+dfsg-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #962301).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 May 2021 22:53:41 +0200
