=== debian/control ===
Source: lomiri-ui-toolkit
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: accountsservice <!nocheck>,
               dbus <!nocheck>,
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               devscripts,
               gdb,
               libdbus-1-dev,
               libevdev-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgl1-mesa-dri,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libinput-dev,
               liblttng-ust-dev,
               libmtdev-dev,
               libqt5sql5-sqlite,
               libqt5svg5-dev,
               libqt5systeminfo5,
               libudev-dev,
               libx11-dev[!armhf],
               libxcb1-dev[!armhf],
               libxi-dev[!armhf],
               libxkbcommon-dev,
               libxrender-dev,
               locales,
               lsb-release,
               pycodestyle <!cross> | pep8 <!cross>,
               python3-debian <!cross>,
               python3-sphinx <!cross>,
               python3:any <!cross>,
               qml-module-qt-labs-settings,
               qml-module-qtfeedback,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-layouts,
               qml-module-qtquick-localstorage,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qml-module-qttest,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.12.8~),
               qtdeclarative5-dev-tools,
               qtdeclarative5-doc-html <!cross>,
               qtdeclarative5-private-dev,
               qtmultimedia5-doc-html <!cross>,
               qtpim5-dev (>= 5.0~git20171109.0bd985b~),
               qtscript5-doc-html <!cross>,
               qtsvg5-doc-html <!cross>,
               qtsystems5-dev,
               qtsystems5-private-dev,
               qttools5-dev-tools,
               suru-icon-theme (>= 20.05~),
               uuid-runtime,
               xvfb <!nocheck>,
               xauth <!nocheck>,
               pkg-kde-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-ui-toolkit/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit/

Package: qml-module-lomiri-components
Architecture: any
Multi-Arch: same
Depends: liblomirigestures5 (= ${binary:Version}),
         liblomirimetrics5 (= ${binary:Version}),
         liblomiritoolkit5 (= ${binary:Version}),
         libqt5svg5,
         lomiri-ui-toolkit-theme (= ${binary:Version}),
         qml-module-lomiri-components-labs,
         qml-module-lomiri-performancemetrics,
         qml-module-qtfeedback,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         suru-icon-theme (>= 14.04+16.10.20160720),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-lomiri,
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qt-components-lomiri,
          qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Provides: qt-components-lomiri,
Suggests: fonts-ubuntu,
Description: Qt Components for Lomiri - Components QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Components QML plugin.

Package: qml-module-lomiri-components-labs
Architecture: any
Multi-Arch: same
Depends: liblomirigestures5 (= ${binary:Version}),
         liblomirimetrics5 (= ${binary:Version}),
         liblomiritoolkit5 (= ${binary:Version}),
         libqt5svg5,
         lomiri-ui-toolkit-theme (= ${binary:Version}),
         qml-module-lomiri-performancemetrics,
         qml-module-qtfeedback,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-lomiri-labs,
Replaces: qt-components-lomiri-labs,
Provides: qt-components-lomiri-labs,
Suggests: fonts-ubuntu,
Description: Qt Components Labs for Lomiri - Components QML plugin
 Qt Components Labs for Lomiri offers a set of non-released and mostly
 unstable user interface components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Components Labs QML plugin.

Package: qml-module-lomiri-layouts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - Layouts QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Layouts QML plugin.

Package: qml-module-lomiri-test
Architecture: any
Multi-Arch: same
Depends: qml-module-lomiri-components,
         qml-module-qttest | qtdeclarative5-test-plugin,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - Test QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Test QML plugin.

Package: qml-module-lomiri-performancemetrics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - PerformanceMetrics QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri PerformanceMetrics QML plugin.

Package: qml-module-lomiri-metrics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - Metrics QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Metrics QML plugin.

Package: liblomirigestures5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Library supporting Gesture recognition for Lomiri UI Toolkit
 Classes for SwipeArea, and for Lomiri Gestures in general.

Package: liblomirigestures-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for
 Lomiri gestures library with SwipeArea

Package: liblomirigestures5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library private development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 Lomiri gestures library with SwipeArea

Package: liblomirimetrics5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Library for monitoring QtQuick 2 applications

Package: liblomirimetrics-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics library development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for the
 Lomiri metrics library

Package: liblomirimetrics5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics library private development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 the Lomiri metrics library

Package: liblomiritoolkit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Contains components and helper classes that are shared between the
 Lomiri QML plugins

Package: liblomiritoolkit-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common library development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for
 Lomiri toolkit common library

Package: liblomiritoolkit5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common library private development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 Lomiri toolkit common library

Package: lomiri-ui-toolkit-theme
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: qt-components-lomiri,
Description: Qt Components for Lomiri - Lomiri Theme
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Ambiance theme for Qt Lomiri Components.

Package: lomiri-ui-toolkit-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!cross>
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: qtdeclarative5-doc-html,
          qtmultimedia5-doc-html,
          qtscript5-doc-html,
          qtsvg5-doc-html,
Conflicts: qt-components-lomiri-doc,
Replaces: qt-components-lomiri-doc,
Provides: qt-components-lomiri-doc,
Description: Qt Components for Lomiri - documentation
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains developer documentation.

Package: lomiri-ui-toolkit-examples
Section: devel
Architecture: any
Depends: lomiri-ui-toolkit-theme (= ${binary:Version}),
         lomiri-ui-toolkit-tools (>= ${source:Version}),
         qml-module-lomiri-components (= ${binary:Version}) | qml-module-lomiri-components-gles,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtqml-models2,
         qml-module-qtquick-xmllistmodel,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libqt5multimedia5-plugins,
            lomiri-ui-toolkit-doc,
Conflicts: qt-components-lomiri-demos,
           qt-components-lomiri-examples,
Replaces: qt-components-lomiri-demos,
          qt-components-lomiri-examples,
Provides: qt-components-lomiri-demos,
          qt-components-lomiri-examples,
