=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://gitlab.com/ubports/core/lomiri-ui-toolkit/tags .*/lomiri-ui-toolkit-(\d\S+)\.tar\.gz
