## lomiri-ui-toolkit 1.3.4000+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.4000+dfsg-1build2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:51:26 +0300

lomiri-ui-toolkit (1.3.4000+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 17:04:12 +0300

lomiri-ui-toolkit (1.3.4000+dfsg-1) unstable; urgency=medium

  * New upstream release v1.3.4000
  * debian/rules: flip logic around to only define know working test arches
  * patches: Remove upstreamed patch
    - 1001_typo-fixes.patch
  * debian/patches: Fix and skip flaky tests on qt 5.15.4
  * debian/control: Add myself as uploader
  * debian/copyright: Update copyright to match upstream release
  * debian/sybols: Update symbols to match new release

 -- Marius Gripsgard <marius@ubports.com>  Tue, 21 Jun 2022 17:44:34 +0200
