## lomiri-ui-toolkit 1.3.5000+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5000+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Various local rebuilds did not show any FTBFS behaviour anymore.
      (Closes: #1030452).
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Add 0002-fix-tests-on-qt-5.15.5.patch.
    + Drop patches 1002, 1003 and 1005.
    + Rebase 0002-fix-tests-on-qt-5.15.5.patch.
  * debian/rules:
    + No need to rename scripts files anymore. Upstream accepted our patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update copyright attributions for debian/.
  * debian/liblomiritoolkit5.symbols:
    + Add missing symbol.
  * lintian: Update line numbers in overrides.

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Add file.
    + Let blhc fail.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 16:58:38 +0100
