=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lomiri-ui-toolkit
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <marius@ubports.com>,
 Build-Depends: accountsservice <!nocheck>,
                dbus <!nocheck>,
                dbus-test-runner <!nocheck>,
@@ -63,9 +63,9 @@
                xvfb <!nocheck>,
                xauth <!nocheck>,
                pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-ui-toolkit/
+Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit/
