## lomiri-ui-toolkit 1.3.5010+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5010+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.
    - FTBFS discovered in sid-rebuilds not reproducible. (Closes: #1031446).
  * debian/control:
    + Resolve dev:pkg dependencies. Resolves crossbuilds of Lomiri.
    + Switch from fonts-ubuntu to fonts-noto*.
  * debian/patches:
    + Add 2003_stop-using-Ubuntu-fonts.patch. Stop using Ubuntu fonts, use
      Noto fonts alternatively.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 18:43:10 +0100
