=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                debhelper-compat (= 13),
                devscripts,
                gdb,
+               fonts-noto-core,
+               fonts-noto-mono,
                libdbus-1-dev,
                libevdev-dev,
                libfontconfig1-dev,
@@ -85,6 +87,8 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          suru-icon-theme (>= 14.04+16.10.20160720),
+         fonts-noto-core,
+         fonts-noto-mono,
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: qt-components-lomiri,
@@ -92,7 +96,6 @@
 Replaces: qt-components-lomiri,
           qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
 Provides: qt-components-lomiri,
-Suggests: fonts-ubuntu,
 Description: Qt Components for Lomiri - Components QML plugin
  Qt Components for Lomiri offers a set of reusable user interface
  components for Qt Quick 2 / QML.
@@ -114,12 +117,13 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          suru-icon-theme,
+         fonts-noto-core,
+         fonts-noto-mono,
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: qt-components-lomiri-labs,
 Replaces: qt-components-lomiri-labs,
 Provides: qt-components-lomiri-labs,
-Suggests: fonts-ubuntu,
 Description: Qt Components Labs for Lomiri - Components QML plugin
  Qt Components Labs for Lomiri offers a set of non-released and mostly
  unstable user interface components for Qt Quick 2 / QML.
@@ -196,7 +200,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirigestures5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri gestures library development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -209,7 +214,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirigestures-dev (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri gestures library private development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -233,7 +239,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirimetrics5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri metrics library development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -246,7 +253,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirimetrics-dev (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri metrics library private development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -271,7 +279,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomiritoolkit5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri toolkit common library development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -284,7 +293,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomiritoolkit-dev (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri toolkit common library private development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -333,14 +343,3 @@
          qml-module-lomiri-components (= ${binary:Version}) | qml-module-lomiri-components-gles,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qtqml-models2,
-         qml-module-qtquick-xmllistmodel,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: libqt5multimedia5-plugins,
-            lomiri-ui-toolkit-doc,
-Conflicts: qt-components-lomiri-demos,
-           qt-components-lomiri-examples,
-Replaces: qt-components-lomiri-demos,
-          qt-components-lomiri-examples,
-Provides: qt-components-lomiri-demos,
-          qt-components-lomiri-examples,
