=== debian/rules ===
--- 
+++ 
@@ -71,10 +71,6 @@
 	rmdir debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/.pch/
 	rmdir debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/.obj/
 
-	mv debian/tmp/usr/bin/app-launch-profiler-lttng debian/tmp/usr/bin/lomiri-app-launch-profiler-lttng
-	mv debian/tmp/usr/bin/appstart_test debian/tmp/usr/bin/lomiri-appstart-test
-	mv debian/tmp/usr/bin/profile_appstart.sh debian/tmp/usr/bin/lomiri-appstart-profile
-
 	# drop references to the build chroot
 	sed -i debian/tmp/usr/lib/*/*.prl -e "/^QMAKE_PRL_BUILD_DIR.*/d"
 	sed -i debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/*.prl -e "/^QMAKE_PRL_BUILD_DIR.*/d"
