## lomiri-ui-toolkit 1.3.5100+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5100+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:26:02 +0300

lomiri-ui-toolkit (1.3.5100+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:59:11 +0000

lomiri-ui-toolkit (1.3.5100+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-fix-tests-on-qt-5.15.4.patch, 0002-fix-tests-on-qt-
      5.15.5.patch. Issues handled upstream.
    + Drop 2002_exclude-dodgy-tests-for-now.patch, 2005_disable-test-failing-
      with-Qt-5.15.11.patch. No test failures to be expected anymore.
    + Add 'import QtQml 2.14' to 0003-src-imports-Components-Themes-Ambiance-
      1.3-Scrollbar.patch. (Closes: #1067009).
  * debian/copyright:
    + Update Files-Excluded: section. Add upstream's debian/ folder.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update line numbers.
  * debian/*.lintian-overrides:
    + Adjust library names in package-name-doesnt-match-sonames overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Mar 2024 08:11:03 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-5) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Disable tst_UCUnits::gridUnitEnvironmentVariable() that fails with
    Qt 5.15.11 because of a change in minimal platform plugin. (Closes:
    #1060761).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 10:09:12 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-4) unstable; urgency=medium

  * debian/liblomiri*.symbols:
    + Drop files. Having caused more woes than happiness, esp. in relation
      to cross-distro maintenance (Debian/Ubuntu).
  * debian/rules:
    + Stop using pkgkde_symbolshelper tool.
  * debian/control:
    + Drop from B-D: pkg-kde-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 08:19:46 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0003-src-imports-Components-Themes-Ambiance-1.3-Scrollbar.patch.
      Explicitly set >= Qt5.14 property Binding.restoreMode to avoid many log
      warnings.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Feb 2024 09:00:12 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062671

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:48:59 +0000

lomiri-ui-toolkit (1.3.5012+dfsg-2) unstable; urgency=medium

  * Re-upload with changes of 1.3.5010+dfsg-2 and 1.3.5010+dfsg-3 included.
    (1.3.5012+dfsg-1 was created without pulling in Marius Gripsgard's work).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:50:16 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with Qt >= 5.15.11. (Closes: #1060761).
  * debian/patches:
    + Drop 1004_stop-privacy-breach-in-documenation-files.patch. Not required
      anymore to prevent privacy breach.
    + Trivial rebase of 0002-fix-tests-on-qt-5.15.5.patch and 2003_stop-using-
      Ubuntu-fonts.patch.
    + Add patch header to 2003_stop-using-Ubuntu-fonts.patch.
  * debian/control:
    + Change B-D from libfontconfig1-dev -> libfontconfig-dev and libtruetype6-
      dev to libtruetype-dev. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update line numbers of file-contains-fixme-placeholder overrides.
  * debian/lomiri-ui-toolkit-doc.install:
    + API documentation is now already installed to the place we want them at.
      No need to move the dirtree around anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 21:07:43 +0100

lomiri-ui-toolkit (1.3.5010+dfsg-3) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS on s390x

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 19:46:09 +0200

lomiri-ui-toolkit (1.3.5010+dfsg-2) unstable; urgency=medium

  * debian/patches: Add another flaky test spotted with
    qt 5.15.10 (Closes: #1040800)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 03:43:41 +0200
