=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-ui-toolkit
 Priority: optional
 Section: libs
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -15,8 +16,8 @@
                fonts-noto-mono,
                libdbus-1-dev,
                libevdev-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libgl1-mesa-dri,
                libgles2-mesa-dev,
                libglib2.0-dev,
@@ -64,7 +65,6 @@
                uuid-runtime,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-               pkg-kde-tools,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
@@ -74,9 +74,9 @@
 Package: qml-module-lomiri-components
 Architecture: any
 Multi-Arch: same
-Depends: liblomirigestures5 (= ${binary:Version}),
-         liblomirimetrics5 (= ${binary:Version}),
-         liblomiritoolkit5 (= ${binary:Version}),
+Depends: liblomirigestures5t64 (= ${binary:Version}),
+         liblomirimetrics5t64 (= ${binary:Version}),
+         liblomiritoolkit5t64 (= ${binary:Version}),
          libqt5svg5,
          lomiri-ui-toolkit-theme (= ${binary:Version}),
          qml-module-lomiri-components-labs,
@@ -105,9 +105,9 @@
 Package: qml-module-lomiri-components-labs
 Architecture: any
 Multi-Arch: same
-Depends: liblomirigestures5 (= ${binary:Version}),
-         liblomirimetrics5 (= ${binary:Version}),
-         liblomiritoolkit5 (= ${binary:Version}),
+Depends: liblomirigestures5t64 (= ${binary:Version}),
+         liblomirimetrics5t64 (= ${binary:Version}),
+         liblomiritoolkit5t64 (= ${binary:Version}),
          libqt5svg5,
          lomiri-ui-toolkit-theme (= ${binary:Version}),
          qml-module-lomiri-performancemetrics,
@@ -184,7 +184,10 @@
  .
  This package contains the Lomiri Metrics QML plugin.
 
-Package: liblomirigestures5
+Package: liblomirigestures5t64
+Provides: ${t64:Provides}
+Replaces: liblomirigestures5
+Breaks: liblomirigestures5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -200,7 +203,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liblomirigestures5 (= ${binary:Version}),
+Depends: liblomirigestures5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri gestures library development files
@@ -224,7 +227,10 @@
  This package contains the private development files for
  Lomiri gestures library with SwipeArea
 
-Package: liblomirimetrics5
+Package: liblomirimetrics5t64
+Provides: ${t64:Provides}
+Replaces: liblomirimetrics5
+Breaks: liblomirimetrics5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -239,7 +245,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liblomirimetrics5 (= ${binary:Version}),
+Depends: liblomirimetrics5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri metrics library development files
@@ -263,7 +269,10 @@
  This package contains the private development files for
  the Lomiri metrics library
 
-Package: liblomiritoolkit5
+Package: liblomiritoolkit5t64
+Provides: ${t64:Provides}
+Replaces: liblomiritoolkit5
+Breaks: liblomiritoolkit5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -279,7 +288,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liblomiritoolkit5 (= ${binary:Version}),
+Depends: liblomiritoolkit5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri toolkit common library development files
@@ -333,13 +342,3 @@
  Qt Components for Lomiri offers a set of reusable user interface
  components for Qt Quick 2 / QML.
  .
- This package contains developer documentation.
-
-Package: lomiri-ui-toolkit-examples
-Section: devel
-Architecture: any
-Depends: lomiri-ui-toolkit-theme (= ${binary:Version}),
-         lomiri-ui-toolkit-tools (>= ${source:Version}),
-         qml-module-lomiri-components (= ${binary:Version}) | qml-module-lomiri-components-gles,
-         qml-module-qt-labs-folderlistmodel,
-         qml-module-qtqml-models2,
