## lomiri-ui-toolkit 1.3.5110%2Bdfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5110+dfsg-2build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:23:14 +0300

lomiri-ui-toolkit (1.3.5110+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_prepare-Alarm-component-to-support-others-alarm-back.patch.
      Support ALARM_BACKEND variable so it can be set to 'mkcal'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 18:01:30 +0100

lomiri-ui-toolkit (1.3.5110+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003-src-imports-Components-Themes-Ambiance-1.3-Scrollbar.patch and
      0004_LomiriToolkit-enable-X11-touch-emulation-on-all-architectures.patch.
      Both applied upstream.
    + Rebase 2003_stop-using-Ubuntu-fonts.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 11:28:21 +0100

lomiri-ui-toolkit (1.3.5100+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0004_LomiriToolkit-enable-X11-touch-emulation-on-all-
      architectures.patch. LomiriToolkit: enable X11 touch emulation
      on all architectures. (Closes: #1069558).
  * debian/control:
    + Install libx11-dev, libxcb1-dev and libxi-dev via B-D also when building
      on armhf.
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/rules:
    + Add armhf as test architecture.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 18:44:51 +0100

lomiri-ui-toolkit (1.3.5100+dfsg-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop from B-D: libqt5systeminfo5 (should get pulled in via qtsystems5-dev,
      already in B-D). (Closes: #1078725).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 14:17:14 +0200
