## lomiri-ui-toolkit 1.3.5110+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5110+dfsg-2+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 17 Apr 2025 02:16:07 +0000
