=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-ui-toolkit
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -26,11 +25,10 @@
                libmtdev-dev,
                libqt5sql5-sqlite,
                libqt5svg5-dev,
-               libqt5systeminfo5,
                libudev-dev,
-               libx11-dev[!armhf],
-               libxcb1-dev[!armhf],
-               libxi-dev[!armhf],
+               libx11-dev,
+               libxcb1-dev,
+               libxi-dev,
                libxkbcommon-dev,
                libxrender-dev,
                locales,
@@ -65,7 +63,7 @@
                uuid-runtime,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
@@ -342,3 +340,8 @@
  Qt Components for Lomiri offers a set of reusable user interface
  components for Qt Quick 2 / QML.
  .
+ This package contains developer documentation.
+
+Package: lomiri-ui-toolkit-examples
+Section: devel
+Architecture: any
