=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # Skip tests on the archs they are known to be flaky with current configuration
 # So lets define known working arches here to run test on
-test_architectures := all amd64 arm64 armel i386
+test_architectures := all amd64 arm64 armhf armel i386
 
 override_dh_auto_configure:
 	qmake -r CONFIG+=debian_build $(CONFIGURE_OPTS) QMAKE_CFLAGS="$(CFLAGS)" QMAKE_CXX_FLAGS="$(CXXFLAGS)" QMAKE_LFLAGS="${LDFLAGS}"
@@ -29,7 +29,7 @@
 	dh $@
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p debian/tmp/home/run
 	chmod +x tests/xvfb.sh
 ifeq (,$(filter $(DEB_HOST_ARCH),$(test_architectures)))
@@ -94,6 +94,11 @@
 	       .local/ \
 	       xvfb.err \
 	       ;
+	rm -rf qml
+	rm -rf po/*.mo
+	rm -rf examples/lomiri-ui-toolkit-gallery/po/*.mo
+	rm -f build_paths.inc
+	rm -f src/*/*.version.in
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
